# TODO: use gtk4-update-icon-cache
Summary:	Simple interface for playing, saving, printing and solving Sudoku
Summary(pl.UTF-8):	Prosty interfejs do grania, zapisywania, drukowania i rozwiązywania Sudoku
Name:		gnome-sudoku
Version:	46.1
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/gnome-sudoku/46/%{name}-%{version}.tar.xz
# Source0-md5:	b21d018d0c24bb52d2b8dd42e2b6e50b
URL:		https://wiki.gnome.org/Apps/Sudoku
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gtk4-devel >= 4.10.0
BuildRequires:	json-glib-devel
BuildRequires:	libadwaita-devel >= 1.4
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	meson >= 0.59
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	qqwing-devel >= 1.3.4
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.36
BuildRequires:	vala-libgee >= 0.8
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.40.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.40.0
Requires:	gtk4 >= 4.10.0
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.4
Requires:	qqwing-libs >= 1.3.4
Provides:	gnome-games-sudoku = 1:%{version}-%{release}
Obsoletes:	gnome-games-sudoku < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Sudoku provides a simple interface for playing, saving, printing
and solving Sudoku.

%description -l pl.UTF-8
GNOME Sudoku dostarcza prosty interfejs do grania, zapisywania,
drukowania i rozwiązywania Sudoku.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-sudoku
%{_datadir}/dbus-1/services/org.gnome.Sudoku.service
%{_datadir}/glib-2.0/schemas/org.gnome.Sudoku.gschema.xml
%{_datadir}/metainfo/org.gnome.Sudoku.appdata.xml
%{_desktopdir}/org.gnome.Sudoku.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Sudoku.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Sudoku-symbolic.svg
%{_mandir}/man6/gnome-sudoku.6*
%changelog
* Wed May 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-sudoku.git;a=log;h=master

* Wed May 08 2024 Jakub Bogusz <qboosh@pld-linux.org> bf3c294
- updated to 46.1

* Sat Feb 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 7fb7f94
- updated to 45.5

* Sun Jan 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 28f667f
- updated to 45.4

* Sun Dec 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 0c75792
- updated to 45.3

* Thu Nov 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 46739a9
- updated to 45.2

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 528487a
- updated to 44.0

* Sat May 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 0fd592a
- updated to 43.1

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> d8392ff
- updated to 42.0

* Mon Jul 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 04f7d1b
- updated to 40.2

* Thu Apr 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 407e864
- updated to 40.1

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> dea779b
- updated to 40.0

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 5aed34f
- updated to 3.38.0

* Thu Apr 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 7fa2744
- updated to 3.36.0

* Thu Nov 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 5911ec2
- updated to 3.34.1

* Mon Jul 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 639bfc4
- updated to 3.24.0

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 99d540f
- updated to 3.22.2

* Sat Nov 07 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 54bba63
- Update to 3.18.2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 9e6fd4f
- no need for HighContrast icons cache update; release 2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> a4cdc99
- updated to 3.18.1

* Fri Jul 24 2015 Jakub Bogusz <qboosh@pld-linux.org> baa9e2f
- updated to 3.16.0

